net.minecraftforge.event.world

## Class WorldEvent.PotentialSpawns

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.event.world.WorldEvent
    - - net.minecraftforge.event.world.WorldEvent.PotentialSpawns

- Enclosing class:
    WorldEvent

      public static class WorldEvent.PotentialSpawns
      extends WorldEvent

  Called by WorldServer to gather a list of all possible entities that can spawn at the specified location. Canceling the event will result in a empty list, meaning no entity will be spawned.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.world.WorldEvent

      `WorldEvent.Load, WorldEvent.PotentialSpawns, WorldEvent.Save, WorldEvent.Unload`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<BiomeGenBase.SpawnListEntry>` | `list`
    `EnumCreatureType` | `type`
    `int` | `x`
    `int` | `y`
    `int` | `z`

    - ### Fields inherited from class net.minecraftforge.event.world.WorldEvent

      `world`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorldEvent.PotentialSpawns(World world, EnumCreatureType type, int x, int y, int z, java.util.List<BiomeGenBase.SpawnListEntry> oldList)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          public final EnumCreatureType type

    - #### x

          public final int x

    - #### y

          public final int y

    - #### z

          public final int z

    - #### list

          public final java.util.List<BiomeGenBase.SpawnListEntry> list

  - ### Constructor Detail

    - #### WorldEvent.PotentialSpawns

          public WorldEvent.PotentialSpawns(World world,
                                    EnumCreatureType type,
                                    int x,
                                    int y,
                                    int z,
                                    java.util.List<BiomeGenBase.SpawnListEntry> oldList)